clear
close all

house=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/house.jpg');
house=rgb2gray(house); house=double(house)/255.;

hb=edge(house, 'canny');

carre=strel('square',3);
% ou : ones(3,3);

hbD=imdilate(hb, carre, 1);
hbDE=imerode(hbD, carre, 1);

figure
colormap('gray')

subplot(2,2,1), imagesc(house), colorbar
axis('square'), title('img d"origine')

subplot(2,2,2), imagesc(hb), colorbar
axis('square'), title('img binarise')

subplot(2,2,3), imagesc(hbD), colorbar
axis('square'), title('dilatation...')

subplot(2,2,4), imagesc(hbDE), colorbar
axis('square'), title('... puis rosion')