clear
close all

load /Users/marcel/Documents/MATLAB//4-contours/img_Prewitt_seuil.mat
whos JPs

figure, colormap(gray)

subplot(1,3,1), imagesc(JPs), colorbar, axis('square')
title('image d"origine')

carre2=strel('square', 2);
JPsE=imerode(JPs, carre2, 1);
JPsED=imdilate(JPsE, carre2, 1);

subplot(1,3,2), imagesc(JPsED), colorbar, axis('square')
title('ouverture (carr 2x2)...')

carrebig=strel('square', 9);
JPsEDD=imdilate(JPsED, carrebig, 1);
JPsEDDE=imerode(JPsEDD, carrebig, 1);

subplot(1,3,3), imagesc(JPsEDDE), colorbar, axis('square')
title('... puis fermeture (carr 9x9)')