clear
close all

load /Users/marcel/Documents/MATLAB//4-contours/img_Prewitt_seuil.mat
whos JPs

figure, colormap(gray)

subplot(2,3,1), imagesc(JPs), colorbar, axis('square')
title('image d"origine')

carre2=strel('square', 2);
JPsE=imerode(JPs, carre2, 1);
JPsED=imdilate(JPsE, carre2, 1);

subplot(2,3,2), imagesc(JPsED), colorbar, axis('square')
title('ouverture (carr 2x2)...')

carrebig=strel('square', 21);
% voir 9 et 21...

JPsEDD=imdilate(JPsED, carrebig, 1);
JPsEDDE=imerode(JPsEDD, carrebig, 1);

subplot(2,3,3), imagesc(JPsEDDE), colorbar, axis('square')
title('... puis fermeture (carr 9x9)')

JPsD=imdilate(JPs, carrebig, 1);
JPsDE=imerode(JPsD, carrebig, 1);

subplot(2,3,5)
imagesc(JPsDE), colorbar, axis('square')
title('fermeture (carr 9x9)...')

JPsDEE=imerode(JPsDE, carre2, 1);
JPsDEED=imdilate(JPsDEE, carre2, 1);

subplot(2,3,6)
imagesc(JPsDEED), colorbar, axis('square')
title('... puis ouverture (carr 2x2)')
